Page MenuHomePhabricator

Newcomer tasks: design brief
Closed, ResolvedPublic

Description

This task tracks the work of formalizing initial design explorations for a V1 implementation of newcomer-friendly task recommendations on the newcomer homepage into a design brief.

Working doc:
https://docs.google.com/presentation/d/1JExQnYBTudQ60rwWwVr8DookWrcFbrMPQVgGML6ExFA/

When this ticket is marked as complete, a summary will be posted here and design sub-tasks created under the EPIC T227728


Project summary

Present newcomers with tasks that teach them the skills needed to complete their editing goals; and tasks which encourage more regular contribution participation.

V1 of Newcomer tasks as outlined in the epic will:

  • Provide a central entry point (habitual place) for newcomers to discover contributor tasks - aka the newcomer homepage.
  • Drive ACTION by providing editor task recommendations relevant to the newcomer’s interests, abilities and recent activities
  • Drive LEARNING and ENGAGEMENT with Wikipedia by providing access to help and mentoring

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2019, 1:10 AM

@Cntlsn is currently doing some initial explorations based on conversations he and I have had.

RHo claimed this task.Jul 17 2019, 2:25 PM
RHo renamed this task from Newcomer Tasks: initial design explorations to Write a design brief for adding newcomer-friendly task recommendations to the newcomer homepage.Jul 29 2019, 6:37 PM
RHo updated the task description. (Show Details)
MMiller_WMF renamed this task from Write a design brief for adding newcomer-friendly task recommendations to the newcomer homepage to Newcomer tasks: design brief.Aug 2 2019, 5:00 AM
RHo updated the task description. (Show Details)Aug 7 2019, 10:51 AM
MMiller_WMF closed this task as Resolved.Mon, Sep 9, 8:59 PM

The design brief linked in the description is complete, and the team has spent time going over it. This task is finished.